import { UniqueIdentifier } from '@dnd-kit/core'
import { Task } from '../TaskCard/taskCard.types'

export interface Column {
  id: UniqueIdentifier;
  title: string;
  color: string;
}

export type ColumnType = 'Column';

export interface ColumnDragData {
  type: ColumnType;
  column: Column;
}

export interface BoardColumnProps {
  column: Column;
  tasks: Task[];
  isOverlay?: boolean;
}
